OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal Class Reference

`#include <PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal ()
| PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal (const Handle(PColStd_HArray1OfReal)&aValue)
void | SetValue (const Handle(PColStd_HArray1OfReal)&aValue)
Standard_Address | Value () const
## Private Attributes
Handle_PColStd_HArray1OfReal | myValue

## Constructor & Destructor Documentation

PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal::PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal | ( |  | ) |

PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal::PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal | ( | const Handle(PColStd_HArray1OfReal)& | aValue | ) |

## Member Function Documentation

void PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal::operator new | ( | size_t | size | ) | `[inline]`

void* PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal::SetValue | ( | const Handle(PColStd_HArray1OfReal)& | aValue | ) |

Standard_Address PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal::Value | ( |  | ) | const

## Field Documentation

Handle_PColStd_HArray1OfReal PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal::myValue`[private]`

The documentation for this class was generated from the following file:

- PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfReal.hxx